Bug 864654 - Running headpin cli throws a python traceback
Running headpin cli throws a python traceback
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Angus Thomas
Og Maciel
:
Depends On:
Blocks: 839524 844253
  Show dependency treegraph
 
Reported: 2012-10-09 16:59 EDT by Og Maciel
Modified: 2017-06-26 16:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 16:34:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2012-10-09 16:59:41 EDT
Description of problem:


Version-Release number of selected component (if applicable):

* candlepin-0.7.12-1.el6_3.noarch
* candlepin-tomcat6-0.7.12-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-common-1.1.10-1h.el6_3.noarch
* katello-cli-headpin-0.2.2-1.el6_2.noarch
* katello-common-1.1.14-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.14-2h.el6_3.noarch
* katello-headpin-1.1.14-2h.el6_3.noarch
* katello-headpin-all-1.1.14-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch

How reproducible:


Steps to Reproduce:
1.  yum install katello-headpin-all
2.  katello-configure --deployment=sam
3.  headpin
  
Actual results:

# headpin --help
Traceback (most recent call last):
  File "/usr/bin/headpin", line 32, in <module>
    from katello.client.core import (
  File "/usr/lib/python2.6/site-packages/katello/client/core/activation_key.py", line 48, in <module>
    class List(ActivationKeyAction):
  File "/usr/lib/python2.6/site-packages/katello/client/core/activation_key.py", line 50, in List
    description = _('list all activation keys')
NameError: name '_' is not defined


Expected results:


Additional info:
Comment 2 Jordan OMara 2012-10-10 09:52:19 EDT
https://github.com/Katello/katello/pull/826

rpm was installing katello-headpin-cli (stale, old, broken) instead of katello-cli
Comment 3 Hui Wang 2012-10-11 06:36:26 EDT
According comment2, the requires should be katello-cli.
I deployed sam1.2-20121010.1 as following:
 
1.enable repo:
rhel-6-server-optional-rpms                                                    
rhel-6-server-rpms
sam-puddle

2.[root@samserv home]# yum install -y katello-headpin-all
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
Updating certificate-based repositories.
   
rhel-6-server-optional-rpms                                                                                                           | 3.5 kB     00:00     
rhel-6-server-rpms                                                                                                                    | 3.7 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package katello-headpin-all.noarch 0:1.1.15-2h.el6_3 will be installed
--> Processing Dependency: thumbslug-selinux for package: katello-headpin-all-1.1.15-2h.el6_3.noarch
....
---> Package rubygem-rubyforge.noarch 0:2.0.4-1.el6_0 will be installed
--> Finished Dependency Resolution
Error: Package: katello-headpin-all-1.1.15-2h.el6_3.noarch (sam)
           Requires: katello-cli
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest 

3. enable repo:
rhel-6-server-optional-rpms                                                    
rhel-6-server-rpms
sam-puddle
rhel-6-server-sam-rpms

4.# yum install -y katello-headpin-all
  ....
 tomcat6-servlet-2.5-api.noarch 0:6.0.24-45.el6                              wsdl4j.noarch 0:1.5.2-7.8.el6                                                  
  xml-commons-apis.x86_64 0:1.3.04-3.6.el6                                    xml-commons-resolver.x86_64 0:1.1-4.18.el6                                     

Complete!

5.# katello-configure --deployment=sam
6.#headpin
-bash: headpin: command not found
^^^^^^^^^^^^^^^^^^^
Comment 4 Og Maciel 2012-10-11 11:46:39 EDT
Verified:

* candlepin-0.7.13-1.el6_3.noarch
* candlepin-tomcat6-0.7.13-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-1.1.11-1h.el6_3.noarch
* katello-cli-common-1.1.11-1h.el6_3.noarch
* katello-common-1.1.15-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.15-2h.el6_3.noarch
* katello-headpin-1.1.15-2h.el6_3.noarch
* katello-headpin-all-1.1.15-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch
Comment 6 Bryan Kearney 2017-06-26 16:34:11 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.